Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Interface IPermissionStore

All Known Implementing Classes:
  RDBMPermissionImpl

    public interface IPermissionStore

Interface for creating, finding and maintaining `IPermissions`.

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck

Method Summary
`void` | `add(IPermission perm)` Add the IPermission to the store.
`void` | `add(IPermission[] perms)` Add the IPermissions to the store.
`void` | `delete(IPermission perm)` Remove the IPermission from the store.
`void` | `delete(IPermission[] perms)` Remove the IPermissions from the store.
`IPermission` | `newInstance(java.lang.String owner)` Factory method for IPermissions
`IPermission[]` | `select(java.lang.String owner, java.lang.String principal, java.lang.String activity, java.lang.String target, java.lang.String type)` Select the IPermissions from the store.
`void` | `update(IPermission perm)` Update the IPermission in the store.
`void` | `update(IPermission[] perms)` Update the IPermissions in the store.

Method Detail

### add

    void add(IPermission[] perms)
             throws AuthorizationException

  Add the IPermissions to the store.

  Parameters:
    `perms` - org.jasig.portal.security.IPermission[]
  Throws:
    `AuthorizationException` - - wraps an Exception specific to the store.

### add

    void add(IPermission perm)
             throws AuthorizationException

  Add the IPermission to the store.

  Parameters:
    `perm` - org.jasig.portal.security.IPermission
  Throws:
    `AuthorizationException` - - wraps an Exception specific to the store.

### delete

    void delete(IPermission[] perms)
                throws AuthorizationException

  Remove the IPermissions from the store.

  Parameters:
    `perms` - org.jasig.portal.security.IPermission[]
  Throws:
    `AuthorizationException` - - wraps an Exception specific to the store.

### delete

    void delete(IPermission perm)
                throws AuthorizationException

  Remove the IPermission from the store.

  Parameters:
    `perm` - org.jasig.portal.security.IPermission
  Throws:
    `AuthorizationException` - - wraps an Exception specific to the store.

### newInstance

    IPermission newInstance(java.lang.String owner)

  Factory method for IPermissions

### update

    void update(IPermission[] perms)
                throws AuthorizationException

  Update the IPermissions in the store.

  Parameters:
    `perms` - org.jasig.portal.security.IPermission[]
  Throws:
    `AuthorizationException` - - wraps an Exception specific to the store.

### update

    void update(IPermission perm)
                throws AuthorizationException

  Update the IPermission in the store.

  Parameters:
    `perm` - org.jasig.portal.security.IPermission
  Throws:
    `AuthorizationException` - - wraps an Exception specific to the store.

### select

    IPermission[] select(java.lang.String owner,
                         java.lang.String principal,
                         java.lang.String activity,
                         java.lang.String target,
                         java.lang.String type)
                         throws AuthorizationException

  Select the IPermissions from the store.

  Parameters:
    `owner` - String - the Permission owner
    `principal` - String - the Permission principal
    `activity` - String - the Permission activity
    `target` - String - the Permission target
    `type` - String - the Permission type
  Throws:
    `AuthorizationException` - - wraps an Exception specific to the store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD